Difference between revisions of "Draft PointArray/fr"

From FreeCAD Documentation
Jump to: navigation, search
m
m
Line 56: Line 56:
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD scripts de base]].
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD scripts de base]].
  
L'outil PointArray peut être utilisé à l'intérieur d'une [[macros/fr|macro]], et, à partir de la console [[Python]] , en utilisant la fonction suivante :
+
L'outil PointArray peut être utilisé à l'intérieur d'une [[macros/fr|macro]], et, à partir de la console [[Python/fr|Python]] , en utilisant la fonction suivante :
 
{{Code|code=
 
{{Code|code=
 
PointArray = makePointArray(base, ptlst)
 
PointArray = makePointArray(base, ptlst)

Revision as of 10:03, 25 October 2019

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎Türkçe
Arrow-left.svg Page précédente: Draft PathArray.svg Série de copies Draft
Page suivante: Clone Draft Draft Clone.svg Arrow-right.svg

Draft PointArray.svg Matrice de points Draft

Emplacement du menu
Draft → Matrice de points
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Aucun
Introduit dans la version
0.18
Voir aussi
Matrice Draft, Série de copies Draft


Description

L'outil PointArray place des copies d'une forme sélectionnée le long de divers points sélectionnés.

L'outil Matrice de points peut être utilisé sur des formes 2D créées avec Atelier Draft, mais également sur de nombreux types d'objets 3D, tels que ceux créés avec Atelier Part, Atelier PartDesign ou [[[Arch Workbench/fr|Atelier Arch]]].

Pour positionner les copies dans un tableau orthogonal, utilisez Matrice Draft. Pour positionner les copies le long d’un chemin, utilisez Série de copies Draft. Pour créer des copies ou des clones et les placer manuellement, utilisez Déplacer Draft, Rotation Draft et Clone Draft.

Draft PointArray Example.png

Objet disposé à des points spécifiques


Utilisation

  1. Sélectionnez un objet que vous souhaitez distribuer.
  2. Sélectionnez un point composé.
  3. Appuyez sur le bouton Draft PointArray.svg Matrice des points.

Pour créer un point composé, sélectionnez divers Point Draft puis appuyez sur le bouton Draft Upgrade.svg Mettre à niveau Draft.

Chaque élément du tableau est un clone exact de l'objet d'origine mais l'ensemble du tableau est considéré comme une seule unité en termes de propriétés et d'apparence.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec les objets sélectionnés ou non.

Propriétés

  • DONNÉESBase: spécifie l'objet à dupliquer.
  • DONNÉESCount: (en lecture seule) spécifie le nombre de copies de l'objet de base. Ce nombre dépendra du nombre de Point Draft dans le composé.
  • DONNÉESPointList: spécifie un objet composé avec des objets ponctuels indiquant l'emplacement des copies de l'objet DONNÉESBase.

DONNÉESBase objet qui apparaît. L'objet composé doit avoir un attribut DONNÉESLinks, DONNÉESComponets, ou DONNÉESGeometry. Chacun des objets à l'intérieur du composé devrait être un Draft Points qui a des attributs DONNÉESX, DONNÉESY, et DONNÉESZ . Les composés pourraient être créés avec les attributs Part MakeCompound (DONNÉESLinks) ou avec les attributs Draft Upgrade (DONNÉESComponets).

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil PointArray peut être utilisé à l'intérieur d'une macro, et, à partir de la console Python , en utilisant la fonction suivante :

PointArray = makePointArray(base, ptlst)
  • Crée un objet PointArray à partir de l'objet base en plaçant les copies le long de ptlst.
  • ptlst est un objet avec les attributs Geometry, Links ou Components qui définissent la position des copies.

Exemple:

import FreeCAD, Draft

Polygon = Draft.makePolygon(3, radius=500.0)

p1 = Draft.makePoint(FreeCAD.Vector(1500, 0, 0))
p2 = Draft.makePoint(FreeCAD.Vector(2500, 0, 0))
p3 = Draft.makePoint(FreeCAD.Vector(2000, 1000, 0))

# Create a compound of points
addList, deleteList = Draft.upgrade([p1, p2, p3])

# Extract the compound from the list
compound = addList[0]

PointArray = Draft.makePointArray(Polygon, compound)
Arrow-left.svg Page précédente: Draft PathArray.svg Série de copies Draft
Page suivante: Clone Draft Draft Clone.svg Arrow-right.svg